package com.mx.cneeds.server.user.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.mx.cneeds.common.pager.PageUtils;
import com.mx.cneeds.server.entity.SysUserDeptEntity;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Map;

/**
 * 部门与角色映射表
 *
 * @author Mark
 * @email sunlightcs@gmail.com
 * @date 2020-03-16 11:22:10
 */
public interface SysUserDeptService extends IService<SysUserDeptEntity> {

    PageUtils queryPage(Map<String, Object> params);

    int deleteBatch(Long[] userIds);

    void saveOrUpdate(Long userId, List<Long> deptIdList);

    List<Long> queryDeptIdList(Long userId);

    List<Long> queryDeptId(Long userId);
}

